## org.gnu.gdk
Class ScrollDirection

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.ScrollDirection

public class ScrollDirection
extends org.gnu.glib.Enum

Field Summary
`static ScrollDirection` `DOWN`
`static ScrollDirection` `LEFT`
`static ScrollDirection` `RIGHT`
`static ScrollDirection` `UP`

Method Summary
`ScrollDirection` `and(ScrollDirection other)`
`static ScrollDirection` `intern(int value)`
`ScrollDirection` `or(ScrollDirection other)`
`boolean` `test(ScrollDirection other)`
`ScrollDirection` `xor(ScrollDirection other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UP

    public static final ScrollDirection UP

### DOWN

    public static final ScrollDirection DOWN

### LEFT

    public static final ScrollDirection LEFT

### RIGHT

    public static final ScrollDirection RIGHT

Method Detail

### intern

    public static ScrollDirection intern(int value)

### or

    public ScrollDirection or(ScrollDirection other)

### and

    public ScrollDirection and(ScrollDirection other)

### xor

    public ScrollDirection xor(ScrollDirection other)

### test

    public boolean test(ScrollDirection other)